Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util
Class MeasureFactory

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.MeasureFactory

    public class MeasureFactory

extends Object

Factory of measures which can instanciate a measure by giving its name and its parameters The factory can use a cache for storing instances of measures

Author:
  jerome D

Nested Class Summary
`static class` | `MeasureFactory.Node`

Field Summary
`private Map<MeasureFactory.Node,Object>` | `mCache`

Constructor Summary
`MeasureFactory(boolean useCache)`

Method Summary
`void` | `clearCache()`
`void` | `clearCache(Object o, boolean recursive)`
`Object` | `getInstance(String name, MeasureFactory.Node current, String basePackage)`
`Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>` | `getOntologyMeasure(String measureName)` Build an ontology measure by parsing name argument name must have the following forms : OntologySpaceMeasure(GlobalMeasure(LocalMeasure)) VectorSpaceMeasure(VectorMeasure,VectorType) examples : fr.inrialpes.exmo.ontosim.VectorSpaceMeasure(fr.inrialpes.exmo.ontosim.vector.CosineVM,fr.inrialpes.exmo.ontosim.vector.model.DocumentCollection$WEIGHT=TFIDF) fr.inrialpes.exmo.ontosim.OntologySpaceMeasure(fr.inrialpes.exmo.ontosim.set.MaxCoupling(fr.inrialpes.exmo.ontosim.entity.EntityLexicalMeasure))
`Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>` | `getOntologyMeasure(String measureName, String basePackage)`
`private Object` | `newInstance(MeasureFactory.Node current)`
`private void` | `remove(MeasureFactory.Node n, boolean recursive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mCache

    private Map<MeasureFactory.Node,Object> mCache

Constructor Detail

### MeasureFactory

    public MeasureFactory(boolean useCache)

Method Detail

### getInstance

    public Object getInstance(String name,
                              MeasureFactory.Node current,
                              String basePackage)

### newInstance

    private Object newInstance(MeasureFactory.Node current)

### getOntologyMeasure

    public Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>> getOntologyMeasure(String measureName)

  Build an ontology measure by parsing name argument name must have the following forms : OntologySpaceMeasure(GlobalMeasure(LocalMeasure)) VectorSpaceMeasure(VectorMeasure,VectorType) examples : fr.inrialpes.exmo.ontosim.VectorSpaceMeasure(fr.inrialpes.exmo.ontosim.vector.CosineVM,fr.inrialpes.exmo.ontosim.vector.model.DocumentCollection$WEIGHT=TFIDF) fr.inrialpes.exmo.ontosim.OntologySpaceMeasure(fr.inrialpes.exmo.ontosim.set.MaxCoupling(fr.inrialpes.exmo.ontosim.entity.EntityLexicalMeasure))

  Parameters:
    `name` -
  Returns:

### getOntologyMeasure

    public Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>> getOntologyMeasure(String measureName,
                                                                                    String basePackage)

### clearCache

    public void clearCache()

### remove

    private void remove(MeasureFactory.Node n,
                        boolean recursive)

### clearCache

    public void clearCache(Object o,
                           boolean recursive)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009